// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.8
// source: events/events.proto

package events

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Geslacht int32

const (
	Geslacht_GESLACHT_ONBEKEND Geslacht = 0 //Prefix nodig ivm scoping rules protobuf
	Geslacht_GESLACHT_M        Geslacht = 1
	Geslacht_GESLACHT_V        Geslacht = 2
	Geslacht_GESLACHT_X        Geslacht = 3
)

// Enum value maps for Geslacht.
var (
	Geslacht_name = map[int32]string{
		0: "GESLACHT_ONBEKEND",
		1: "GESLACHT_M",
		2: "GESLACHT_V",
		3: "GESLACHT_X",
	}
	Geslacht_value = map[string]int32{
		"GESLACHT_ONBEKEND": 0,
		"GESLACHT_M":        1,
		"GESLACHT_V":        2,
		"GESLACHT_X":        3,
	}
)

func (x Geslacht) Enum() *Geslacht {
	p := new(Geslacht)
	*p = x
	return p
}

func (x Geslacht) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Geslacht) Descriptor() protoreflect.EnumDescriptor {
	return file_events_events_proto_enumTypes[0].Descriptor()
}

func (Geslacht) Type() protoreflect.EnumType {
	return &file_events_events_proto_enumTypes[0]
}

func (x Geslacht) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Geslacht.Descriptor instead.
func (Geslacht) EnumDescriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{0}
}

type Nationaliteit int32

const (
	Nationaliteit_NATIONALITEIT_ONBEKEND Nationaliteit = 0
	Nationaliteit_NATIONALITEIT_NL       Nationaliteit = 1
	Nationaliteit_NATIONALITEIT_DE       Nationaliteit = 2
	Nationaliteit_NATIONALITEIT_UK       Nationaliteit = 3 //... etc.
)

// Enum value maps for Nationaliteit.
var (
	Nationaliteit_name = map[int32]string{
		0: "NATIONALITEIT_ONBEKEND",
		1: "NATIONALITEIT_NL",
		2: "NATIONALITEIT_DE",
		3: "NATIONALITEIT_UK",
	}
	Nationaliteit_value = map[string]int32{
		"NATIONALITEIT_ONBEKEND": 0,
		"NATIONALITEIT_NL":       1,
		"NATIONALITEIT_DE":       2,
		"NATIONALITEIT_UK":       3,
	}
)

func (x Nationaliteit) Enum() *Nationaliteit {
	p := new(Nationaliteit)
	*p = x
	return p
}

func (x Nationaliteit) String() string {
	return protoimpl.X.EnumStringOf(x.Descriptor(), protoreflect.EnumNumber(x))
}

func (Nationaliteit) Descriptor() protoreflect.EnumDescriptor {
	return file_events_events_proto_enumTypes[1].Descriptor()
}

func (Nationaliteit) Type() protoreflect.EnumType {
	return &file_events_events_proto_enumTypes[1]
}

func (x Nationaliteit) Number() protoreflect.EnumNumber {
	return protoreflect.EnumNumber(x)
}

// Deprecated: Use Nationaliteit.Descriptor instead.
func (Nationaliteit) EnumDescriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{1}
}

type NewPersonEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonReference []byte `protobuf:"bytes,1,opt,name=person_reference,json=personReference,proto3" json:"person_reference,omitempty"`
}

func (x *NewPersonEvent) Reset() {
	*x = NewPersonEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewPersonEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewPersonEvent) ProtoMessage() {}

func (x *NewPersonEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewPersonEvent.ProtoReflect.Descriptor instead.
func (*NewPersonEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{0}
}

func (x *NewPersonEvent) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

type PersonNoteEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonReference []byte `protobuf:"bytes,1,opt,name=person_reference,json=personReference,proto3" json:"person_reference,omitempty"`
	Note            string `protobuf:"bytes,2,opt,name=note,proto3" json:"note,omitempty"`
}

func (x *PersonNoteEvent) Reset() {
	*x = PersonNoteEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersonNoteEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersonNoteEvent) ProtoMessage() {}

func (x *PersonNoteEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersonNoteEvent.ProtoReflect.Descriptor instead.
func (*PersonNoteEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{1}
}

func (x *PersonNoteEvent) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

func (x *PersonNoteEvent) GetNote() string {
	if x != nil {
		return x.Note
	}
	return ""
}

type ErkenningOngeborenKindVastgesteldEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	KindPr             string                 `protobuf:"bytes,1,opt,name=kind_pr,json=kindPr,proto3" json:"kind_pr,omitempty"`
	MoederPr           string                 `protobuf:"bytes,2,opt,name=moeder_pr,json=moederPr,proto3" json:"moeder_pr,omitempty"`
	ErkennerPr         string                 `protobuf:"bytes,3,opt,name=erkenner_pr,json=erkennerPr,proto3" json:"erkenner_pr,omitempty"`
	KeuzeGeslachtsnaam string                 `protobuf:"bytes,4,opt,name=keuze_geslachtsnaam,json=keuzeGeslachtsnaam,proto3" json:"keuze_geslachtsnaam,omitempty"`
	DatumErkenning     *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=datum_erkenning,json=datumErkenning,proto3" json:"datum_erkenning,omitempty"`
}

func (x *ErkenningOngeborenKindVastgesteldEvent) Reset() {
	*x = ErkenningOngeborenKindVastgesteldEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ErkenningOngeborenKindVastgesteldEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ErkenningOngeborenKindVastgesteldEvent) ProtoMessage() {}

func (x *ErkenningOngeborenKindVastgesteldEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ErkenningOngeborenKindVastgesteldEvent.ProtoReflect.Descriptor instead.
func (*ErkenningOngeborenKindVastgesteldEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{2}
}

func (x *ErkenningOngeborenKindVastgesteldEvent) GetKindPr() string {
	if x != nil {
		return x.KindPr
	}
	return ""
}

func (x *ErkenningOngeborenKindVastgesteldEvent) GetMoederPr() string {
	if x != nil {
		return x.MoederPr
	}
	return ""
}

func (x *ErkenningOngeborenKindVastgesteldEvent) GetErkennerPr() string {
	if x != nil {
		return x.ErkennerPr
	}
	return ""
}

func (x *ErkenningOngeborenKindVastgesteldEvent) GetKeuzeGeslachtsnaam() string {
	if x != nil {
		return x.KeuzeGeslachtsnaam
	}
	return ""
}

func (x *ErkenningOngeborenKindVastgesteldEvent) GetDatumErkenning() *timestamppb.Timestamp {
	if x != nil {
		return x.DatumErkenning
	}
	return nil
}

type GeboorteVastgesteldEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	KindPr           string                 `protobuf:"bytes,1,opt,name=kind_pr,json=kindPr,proto3" json:"kind_pr,omitempty"`
	GeboorteDatum    *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=geboorte_datum,json=geboorteDatum,proto3" json:"geboorte_datum,omitempty"`
	GeboortePlaats   string                 `protobuf:"bytes,3,opt,name=geboorte_plaats,json=geboortePlaats,proto3" json:"geboorte_plaats,omitempty"`
	GeboorteGemeente string                 `protobuf:"bytes,4,opt,name=geboorte_gemeente,json=geboorteGemeente,proto3" json:"geboorte_gemeente,omitempty"`
	GeboorteLand     string                 `protobuf:"bytes,5,opt,name=geboorte_land,json=geboorteLand,proto3" json:"geboorte_land,omitempty"`
}

func (x *GeboorteVastgesteldEvent) Reset() {
	*x = GeboorteVastgesteldEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GeboorteVastgesteldEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GeboorteVastgesteldEvent) ProtoMessage() {}

func (x *GeboorteVastgesteldEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GeboorteVastgesteldEvent.ProtoReflect.Descriptor instead.
func (*GeboorteVastgesteldEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{3}
}

func (x *GeboorteVastgesteldEvent) GetKindPr() string {
	if x != nil {
		return x.KindPr
	}
	return ""
}

func (x *GeboorteVastgesteldEvent) GetGeboorteDatum() *timestamppb.Timestamp {
	if x != nil {
		return x.GeboorteDatum
	}
	return nil
}

func (x *GeboorteVastgesteldEvent) GetGeboortePlaats() string {
	if x != nil {
		return x.GeboortePlaats
	}
	return ""
}

func (x *GeboorteVastgesteldEvent) GetGeboorteGemeente() string {
	if x != nil {
		return x.GeboorteGemeente
	}
	return ""
}

func (x *GeboorteVastgesteldEvent) GetGeboorteLand() string {
	if x != nil {
		return x.GeboorteLand
	}
	return ""
}

type GeslachtVastgesteldEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr string   `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	Geslacht  Geslacht `protobuf:"varint,3,opt,name=geslacht,proto3,enum=events.Geslacht" json:"geslacht,omitempty"`
}

func (x *GeslachtVastgesteldEvent) Reset() {
	*x = GeslachtVastgesteldEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GeslachtVastgesteldEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GeslachtVastgesteldEvent) ProtoMessage() {}

func (x *GeslachtVastgesteldEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GeslachtVastgesteldEvent.ProtoReflect.Descriptor instead.
func (*GeslachtVastgesteldEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{4}
}

func (x *GeslachtVastgesteldEvent) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *GeslachtVastgesteldEvent) GetGeslacht() Geslacht {
	if x != nil {
		return x.Geslacht
	}
	return Geslacht_GESLACHT_ONBEKEND
}

type JuridischOuderVastgesteldEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr         string                 `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	OuderPr           string                 `protobuf:"bytes,2,opt,name=ouder_pr,json=ouderPr,proto3" json:"ouder_pr,omitempty"`
	StartdatumRelatie *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=startdatum_relatie,json=startdatumRelatie,proto3" json:"startdatum_relatie,omitempty"` //Datum én tijd?
}

func (x *JuridischOuderVastgesteldEvent) Reset() {
	*x = JuridischOuderVastgesteldEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *JuridischOuderVastgesteldEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*JuridischOuderVastgesteldEvent) ProtoMessage() {}

func (x *JuridischOuderVastgesteldEvent) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use JuridischOuderVastgesteldEvent.ProtoReflect.Descriptor instead.
func (*JuridischOuderVastgesteldEvent) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{5}
}

func (x *JuridischOuderVastgesteldEvent) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *JuridischOuderVastgesteldEvent) GetOuderPr() string {
	if x != nil {
		return x.OuderPr
	}
	return ""
}

func (x *JuridischOuderVastgesteldEvent) GetStartdatumRelatie() *timestamppb.Timestamp {
	if x != nil {
		return x.StartdatumRelatie
	}
	return nil
}

type NationaliteitVastgesteld struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr                 string                 `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	Nationaliteit             Nationaliteit          `protobuf:"varint,2,opt,name=nationaliteit,proto3,enum=events.Nationaliteit" json:"nationaliteit,omitempty"`
	IngangsdatumNationaliteit *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=ingangsdatum_nationaliteit,json=ingangsdatumNationaliteit,proto3" json:"ingangsdatum_nationaliteit,omitempty"` //Datum én tijd?
}

func (x *NationaliteitVastgesteld) Reset() {
	*x = NationaliteitVastgesteld{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NationaliteitVastgesteld) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NationaliteitVastgesteld) ProtoMessage() {}

func (x *NationaliteitVastgesteld) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NationaliteitVastgesteld.ProtoReflect.Descriptor instead.
func (*NationaliteitVastgesteld) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{6}
}

func (x *NationaliteitVastgesteld) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *NationaliteitVastgesteld) GetNationaliteit() Nationaliteit {
	if x != nil {
		return x.Nationaliteit
	}
	return Nationaliteit_NATIONALITEIT_ONBEKEND
}

func (x *NationaliteitVastgesteld) GetIngangsdatumNationaliteit() *timestamppb.Timestamp {
	if x != nil {
		return x.IngangsdatumNationaliteit
	}
	return nil
}

type NamenVastgesteld struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonHr                []byte                 `protobuf:"bytes,1,opt,name=persoon_hr,json=persoonHr,proto3" json:"persoon_hr,omitempty"`
	Voornamen                []string               `protobuf:"bytes,2,rep,name=voornamen,proto3" json:"voornamen,omitempty"`
	VoorvoegselGeslachtsnaam string                 `protobuf:"bytes,3,opt,name=voorvoegsel_geslachtsnaam,json=voorvoegselGeslachtsnaam,proto3" json:"voorvoegsel_geslachtsnaam,omitempty"`
	Geslachtsnaam            string                 `protobuf:"bytes,4,opt,name=geslachtsnaam,proto3" json:"geslachtsnaam,omitempty"`
	IngangsdatumNamen        *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=ingangsdatum_namen,json=ingangsdatumNamen,proto3" json:"ingangsdatum_namen,omitempty"` //Datum én tijd?
}

func (x *NamenVastgesteld) Reset() {
	*x = NamenVastgesteld{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NamenVastgesteld) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NamenVastgesteld) ProtoMessage() {}

func (x *NamenVastgesteld) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NamenVastgesteld.ProtoReflect.Descriptor instead.
func (*NamenVastgesteld) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{7}
}

func (x *NamenVastgesteld) GetPersoonHr() []byte {
	if x != nil {
		return x.PersoonHr
	}
	return nil
}

func (x *NamenVastgesteld) GetVoornamen() []string {
	if x != nil {
		return x.Voornamen
	}
	return nil
}

func (x *NamenVastgesteld) GetVoorvoegselGeslachtsnaam() string {
	if x != nil {
		return x.VoorvoegselGeslachtsnaam
	}
	return ""
}

func (x *NamenVastgesteld) GetGeslachtsnaam() string {
	if x != nil {
		return x.Geslachtsnaam
	}
	return ""
}

func (x *NamenVastgesteld) GetIngangsdatumNamen() *timestamppb.Timestamp {
	if x != nil {
		return x.IngangsdatumNamen
	}
	return nil
}

type InwonerIngeschreven struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr          string                 `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	Woonadres          *Adres                 `protobuf:"bytes,2,opt,name=woonadres,proto3" json:"woonadres,omitempty"`
	Woongemeente       string                 `protobuf:"bytes,3,opt,name=woongemeente,proto3" json:"woongemeente,omitempty"`                                         // of Gemeente?
	DatumIngeschreven  *timestamppb.Timestamp `protobuf:"bytes,4,opt,name=datum_ingeschreven,json=datumIngeschreven,proto3" json:"datum_ingeschreven,omitempty"`      //Datum én tijd?
	LandVanwaarGekomen string                 `protobuf:"bytes,5,opt,name=land_vanwaar_gekomen,json=landVanwaarGekomen,proto3" json:"land_vanwaar_gekomen,omitempty"` //of land_van_herkomst?
}

func (x *InwonerIngeschreven) Reset() {
	*x = InwonerIngeschreven{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InwonerIngeschreven) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InwonerIngeschreven) ProtoMessage() {}

func (x *InwonerIngeschreven) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InwonerIngeschreven.ProtoReflect.Descriptor instead.
func (*InwonerIngeschreven) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{8}
}

func (x *InwonerIngeschreven) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *InwonerIngeschreven) GetWoonadres() *Adres {
	if x != nil {
		return x.Woonadres
	}
	return nil
}

func (x *InwonerIngeschreven) GetWoongemeente() string {
	if x != nil {
		return x.Woongemeente
	}
	return ""
}

func (x *InwonerIngeschreven) GetDatumIngeschreven() *timestamppb.Timestamp {
	if x != nil {
		return x.DatumIngeschreven
	}
	return nil
}

func (x *InwonerIngeschreven) GetLandVanwaarGekomen() string {
	if x != nil {
		return x.LandVanwaarGekomen
	}
	return ""
}

type Adres struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Adres string `protobuf:"bytes,1,opt,name=adres,proto3" json:"adres,omitempty"`
}

func (x *Adres) Reset() {
	*x = Adres{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Adres) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Adres) ProtoMessage() {}

func (x *Adres) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Adres.ProtoReflect.Descriptor instead.
func (*Adres) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{9}
}

func (x *Adres) GetAdres() string {
	if x != nil {
		return x.Adres
	}
	return ""
}

type BSNToegekend struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr       string                 `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	BSN             string                 `protobuf:"bytes,2,opt,name=BSN,proto3" json:"BSN,omitempty"`
	IngangsdatumBsn *timestamppb.Timestamp `protobuf:"bytes,3,opt,name=ingangsdatum_bsn,json=ingangsdatumBsn,proto3" json:"ingangsdatum_bsn,omitempty"` //Datum én tijd?
}

func (x *BSNToegekend) Reset() {
	*x = BSNToegekend{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BSNToegekend) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BSNToegekend) ProtoMessage() {}

func (x *BSNToegekend) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BSNToegekend.ProtoReflect.Descriptor instead.
func (*BSNToegekend) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{10}
}

func (x *BSNToegekend) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *BSNToegekend) GetBSN() string {
	if x != nil {
		return x.BSN
	}
	return ""
}

func (x *BSNToegekend) GetIngangsdatumBsn() *timestamppb.Timestamp {
	if x != nil {
		return x.IngangsdatumBsn
	}
	return nil
}

type GeboorteOvergenomen struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	KindPr           string                 `protobuf:"bytes,1,opt,name=kind_pr,json=kindPr,proto3" json:"kind_pr,omitempty"`
	GeboorteDatum    *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=geboorte_datum,json=geboorteDatum,proto3" json:"geboorte_datum,omitempty"`
	GeboortePlaats   string                 `protobuf:"bytes,3,opt,name=geboorte_plaats,json=geboortePlaats,proto3" json:"geboorte_plaats,omitempty"`
	GeboorteGemeente string                 `protobuf:"bytes,4,opt,name=geboorte_gemeente,json=geboorteGemeente,proto3" json:"geboorte_gemeente,omitempty"`
	GeboorteLand     string                 `protobuf:"bytes,5,opt,name=geboorte_land,json=geboorteLand,proto3" json:"geboorte_land,omitempty"`
	Brondocument     string                 `protobuf:"bytes,6,opt,name=brondocument,proto3" json:"brondocument,omitempty"` //of BYTES :D of URI(URN/URL)
}

func (x *GeboorteOvergenomen) Reset() {
	*x = GeboorteOvergenomen{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GeboorteOvergenomen) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GeboorteOvergenomen) ProtoMessage() {}

func (x *GeboorteOvergenomen) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GeboorteOvergenomen.ProtoReflect.Descriptor instead.
func (*GeboorteOvergenomen) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{11}
}

func (x *GeboorteOvergenomen) GetKindPr() string {
	if x != nil {
		return x.KindPr
	}
	return ""
}

func (x *GeboorteOvergenomen) GetGeboorteDatum() *timestamppb.Timestamp {
	if x != nil {
		return x.GeboorteDatum
	}
	return nil
}

func (x *GeboorteOvergenomen) GetGeboortePlaats() string {
	if x != nil {
		return x.GeboortePlaats
	}
	return ""
}

func (x *GeboorteOvergenomen) GetGeboorteGemeente() string {
	if x != nil {
		return x.GeboorteGemeente
	}
	return ""
}

func (x *GeboorteOvergenomen) GetGeboorteLand() string {
	if x != nil {
		return x.GeboorteLand
	}
	return ""
}

func (x *GeboorteOvergenomen) GetBrondocument() string {
	if x != nil {
		return x.Brondocument
	}
	return ""
}

type GeslachtOvergenomen struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersoonPr    string   `protobuf:"bytes,1,opt,name=persoon_pr,json=persoonPr,proto3" json:"persoon_pr,omitempty"`
	Geslacht     Geslacht `protobuf:"varint,3,opt,name=geslacht,proto3,enum=events.Geslacht" json:"geslacht,omitempty"`
	Brondocument string   `protobuf:"bytes,6,opt,name=brondocument,proto3" json:"brondocument,omitempty"` //of BYTES :D of URI(URN/URL)
}

func (x *GeslachtOvergenomen) Reset() {
	*x = GeslachtOvergenomen{}
	if protoimpl.UnsafeEnabled {
		mi := &file_events_events_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GeslachtOvergenomen) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GeslachtOvergenomen) ProtoMessage() {}

func (x *GeslachtOvergenomen) ProtoReflect() protoreflect.Message {
	mi := &file_events_events_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GeslachtOvergenomen.ProtoReflect.Descriptor instead.
func (*GeslachtOvergenomen) Descriptor() ([]byte, []int) {
	return file_events_events_proto_rawDescGZIP(), []int{12}
}

func (x *GeslachtOvergenomen) GetPersoonPr() string {
	if x != nil {
		return x.PersoonPr
	}
	return ""
}

func (x *GeslachtOvergenomen) GetGeslacht() Geslacht {
	if x != nil {
		return x.Geslacht
	}
	return Geslacht_GESLACHT_ONBEKEND
}

func (x *GeslachtOvergenomen) GetBrondocument() string {
	if x != nil {
		return x.Brondocument
	}
	return ""
}

var File_events_events_proto protoreflect.FileDescriptor

var file_events_events_proto_rawDesc = []byte{
	0x0a, 0x13, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x1a, 0x1f, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x3b,
	0x0a, 0x0e, 0x4e, 0x65, 0x77, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x12, 0x29, 0x0a, 0x10, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x66, 0x65, 0x72,
	0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0f, 0x70, 0x65, 0x72, 0x73,
	0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x22, 0x50, 0x0a, 0x0f, 0x50,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x4e, 0x6f, 0x74, 0x65, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x29,
	0x0a, 0x10, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x5f, 0x72, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e,
	0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x6f, 0x74,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x6f, 0x74, 0x65, 0x22, 0xf5, 0x01,
	0x0a, 0x26, 0x45, 0x72, 0x6b, 0x65, 0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x4f, 0x6e, 0x67, 0x65, 0x62,
	0x6f, 0x72, 0x65, 0x6e, 0x4b, 0x69, 0x6e, 0x64, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74,
	0x65, 0x6c, 0x64, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x6b, 0x69, 0x6e, 0x64,
	0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x69, 0x6e, 0x64, 0x50,
	0x72, 0x12, 0x1b, 0x0a, 0x09, 0x6d, 0x6f, 0x65, 0x64, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x6d, 0x6f, 0x65, 0x64, 0x65, 0x72, 0x50, 0x72, 0x12, 0x1f,
	0x0a, 0x0b, 0x65, 0x72, 0x6b, 0x65, 0x6e, 0x6e, 0x65, 0x72, 0x5f, 0x70, 0x72, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x72, 0x6b, 0x65, 0x6e, 0x6e, 0x65, 0x72, 0x50, 0x72, 0x12,
	0x2f, 0x0a, 0x13, 0x6b, 0x65, 0x75, 0x7a, 0x65, 0x5f, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68,
	0x74, 0x73, 0x6e, 0x61, 0x61, 0x6d, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x12, 0x6b, 0x65,
	0x75, 0x7a, 0x65, 0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x6e, 0x61, 0x61, 0x6d,
	0x12, 0x43, 0x0a, 0x0f, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x5f, 0x65, 0x72, 0x6b, 0x65, 0x6e, 0x6e,
	0x69, 0x6e, 0x67, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0e, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x45, 0x72, 0x6b, 0x65,
	0x6e, 0x6e, 0x69, 0x6e, 0x67, 0x22, 0xf1, 0x01, 0x0a, 0x18, 0x47, 0x65, 0x62, 0x6f, 0x6f, 0x72,
	0x74, 0x65, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x17, 0x0a, 0x07, 0x6b, 0x69, 0x6e, 0x64, 0x5f, 0x70, 0x72, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x69, 0x6e, 0x64, 0x50, 0x72, 0x12, 0x41, 0x0a, 0x0e, 0x67,
	0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52,
	0x0d, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x44, 0x61, 0x74, 0x75, 0x6d, 0x12, 0x27,
	0x0a, 0x0f, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x5f, 0x70, 0x6c, 0x61, 0x61, 0x74,
	0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74,
	0x65, 0x50, 0x6c, 0x61, 0x61, 0x74, 0x73, 0x12, 0x2b, 0x0a, 0x11, 0x67, 0x65, 0x62, 0x6f, 0x6f,
	0x72, 0x74, 0x65, 0x5f, 0x67, 0x65, 0x6d, 0x65, 0x65, 0x6e, 0x74, 0x65, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x10, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x47, 0x65, 0x6d, 0x65,
	0x65, 0x6e, 0x74, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65,
	0x5f, 0x6c, 0x61, 0x6e, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x67, 0x65, 0x62,
	0x6f, 0x6f, 0x72, 0x74, 0x65, 0x4c, 0x61, 0x6e, 0x64, 0x22, 0x67, 0x0a, 0x18, 0x47, 0x65, 0x73,
	0x6c, 0x61, 0x63, 0x68, 0x74, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e,
	0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73, 0x6f,
	0x6f, 0x6e, 0x50, 0x72, 0x12, 0x2c, 0x0a, 0x08, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x10, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e,
	0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x52, 0x08, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63,
	0x68, 0x74, 0x22, 0xa5, 0x01, 0x0a, 0x1e, 0x4a, 0x75, 0x72, 0x69, 0x64, 0x69, 0x73, 0x63, 0x68,
	0x4f, 0x75, 0x64, 0x65, 0x72, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64,
	0x45, 0x76, 0x65, 0x6e, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e,
	0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73, 0x6f,
	0x6f, 0x6e, 0x50, 0x72, 0x12, 0x19, 0x0a, 0x08, 0x6f, 0x75, 0x64, 0x65, 0x72, 0x5f, 0x70, 0x72,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6f, 0x75, 0x64, 0x65, 0x72, 0x50, 0x72, 0x12,
	0x49, 0x0a, 0x12, 0x73, 0x74, 0x61, 0x72, 0x74, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x5f, 0x72, 0x65,
	0x6c, 0x61, 0x74, 0x69, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x11, 0x73, 0x74, 0x61, 0x72, 0x74, 0x64, 0x61,
	0x74, 0x75, 0x6d, 0x52, 0x65, 0x6c, 0x61, 0x74, 0x69, 0x65, 0x22, 0xd1, 0x01, 0x0a, 0x18, 0x4e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x65, 0x69, 0x74, 0x56, 0x61, 0x73, 0x74,
	0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f,
	0x6f, 0x6e, 0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72,
	0x73, 0x6f, 0x6f, 0x6e, 0x50, 0x72, 0x12, 0x3b, 0x0a, 0x0d, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x61, 0x6c, 0x69, 0x74, 0x65, 0x69, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x15, 0x2e,
	0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x4e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69,
	0x74, 0x65, 0x69, 0x74, 0x52, 0x0d, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74,
	0x65, 0x69, 0x74, 0x12, 0x59, 0x0a, 0x1a, 0x69, 0x6e, 0x67, 0x61, 0x6e, 0x67, 0x73, 0x64, 0x61,
	0x74, 0x75, 0x6d, 0x5f, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x65, 0x69,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x19, 0x69, 0x6e, 0x67, 0x61, 0x6e, 0x67, 0x73, 0x64, 0x61, 0x74, 0x75,
	0x6d, 0x4e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x65, 0x69, 0x74, 0x22, 0xfd,
	0x01, 0x0a, 0x10, 0x4e, 0x61, 0x6d, 0x65, 0x6e, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74,
	0x65, 0x6c, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x5f, 0x68,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e,
	0x48, 0x72, 0x12, 0x1c, 0x0a, 0x09, 0x76, 0x6f, 0x6f, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x6e, 0x18,
	0x02, 0x20, 0x03, 0x28, 0x09, 0x52, 0x09, 0x76, 0x6f, 0x6f, 0x72, 0x6e, 0x61, 0x6d, 0x65, 0x6e,
	0x12, 0x3b, 0x0a, 0x19, 0x76, 0x6f, 0x6f, 0x72, 0x76, 0x6f, 0x65, 0x67, 0x73, 0x65, 0x6c, 0x5f,
	0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x6e, 0x61, 0x61, 0x6d, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x18, 0x76, 0x6f, 0x6f, 0x72, 0x76, 0x6f, 0x65, 0x67, 0x73, 0x65, 0x6c,
	0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x6e, 0x61, 0x61, 0x6d, 0x12, 0x24, 0x0a,
	0x0d, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x6e, 0x61, 0x61, 0x6d, 0x18, 0x04,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x6e,
	0x61, 0x61, 0x6d, 0x12, 0x49, 0x0a, 0x12, 0x69, 0x6e, 0x67, 0x61, 0x6e, 0x67, 0x73, 0x64, 0x61,
	0x74, 0x75, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x11, 0x69, 0x6e, 0x67,
	0x61, 0x6e, 0x67, 0x73, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x4e, 0x61, 0x6d, 0x65, 0x6e, 0x22, 0x82,
	0x02, 0x0a, 0x13, 0x49, 0x6e, 0x77, 0x6f, 0x6e, 0x65, 0x72, 0x49, 0x6e, 0x67, 0x65, 0x73, 0x63,
	0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f,
	0x6e, 0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73,
	0x6f, 0x6f, 0x6e, 0x50, 0x72, 0x12, 0x2b, 0x0a, 0x09, 0x77, 0x6f, 0x6f, 0x6e, 0x61, 0x64, 0x72,
	0x65, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x0d, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x2e, 0x41, 0x64, 0x72, 0x65, 0x73, 0x52, 0x09, 0x77, 0x6f, 0x6f, 0x6e, 0x61, 0x64, 0x72,
	0x65, 0x73, 0x12, 0x22, 0x0a, 0x0c, 0x77, 0x6f, 0x6f, 0x6e, 0x67, 0x65, 0x6d, 0x65, 0x65, 0x6e,
	0x74, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x77, 0x6f, 0x6f, 0x6e, 0x67, 0x65,
	0x6d, 0x65, 0x65, 0x6e, 0x74, 0x65, 0x12, 0x49, 0x0a, 0x12, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x5f,
	0x69, 0x6e, 0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x18, 0x04, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x11,
	0x64, 0x61, 0x74, 0x75, 0x6d, 0x49, 0x6e, 0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65,
	0x6e, 0x12, 0x30, 0x0a, 0x14, 0x6c, 0x61, 0x6e, 0x64, 0x5f, 0x76, 0x61, 0x6e, 0x77, 0x61, 0x61,
	0x72, 0x5f, 0x67, 0x65, 0x6b, 0x6f, 0x6d, 0x65, 0x6e, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x12, 0x6c, 0x61, 0x6e, 0x64, 0x56, 0x61, 0x6e, 0x77, 0x61, 0x61, 0x72, 0x47, 0x65, 0x6b, 0x6f,
	0x6d, 0x65, 0x6e, 0x22, 0x1d, 0x0a, 0x05, 0x41, 0x64, 0x72, 0x65, 0x73, 0x12, 0x14, 0x0a, 0x05,
	0x61, 0x64, 0x72, 0x65, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x61, 0x64, 0x72,
	0x65, 0x73, 0x22, 0x86, 0x01, 0x0a, 0x0c, 0x42, 0x53, 0x4e, 0x54, 0x6f, 0x65, 0x67, 0x65, 0x6b,
	0x65, 0x6e, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x5f, 0x70,
	0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e,
	0x50, 0x72, 0x12, 0x10, 0x0a, 0x03, 0x42, 0x53, 0x4e, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x03, 0x42, 0x53, 0x4e, 0x12, 0x45, 0x0a, 0x10, 0x69, 0x6e, 0x67, 0x61, 0x6e, 0x67, 0x73, 0x64,
	0x61, 0x74, 0x75, 0x6d, 0x5f, 0x62, 0x73, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x0f, 0x69, 0x6e, 0x67, 0x61,
	0x6e, 0x67, 0x73, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x42, 0x73, 0x6e, 0x22, 0x90, 0x02, 0x0a, 0x13,
	0x47, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x4f, 0x76, 0x65, 0x72, 0x67, 0x65, 0x6e, 0x6f,
	0x6d, 0x65, 0x6e, 0x12, 0x17, 0x0a, 0x07, 0x6b, 0x69, 0x6e, 0x64, 0x5f, 0x70, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x06, 0x6b, 0x69, 0x6e, 0x64, 0x50, 0x72, 0x12, 0x41, 0x0a, 0x0e,
	0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x5f, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70,
	0x52, 0x0d, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x44, 0x61, 0x74, 0x75, 0x6d, 0x12,
	0x27, 0x0a, 0x0f, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x5f, 0x70, 0x6c, 0x61, 0x61,
	0x74, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0e, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72,
	0x74, 0x65, 0x50, 0x6c, 0x61, 0x61, 0x74, 0x73, 0x12, 0x2b, 0x0a, 0x11, 0x67, 0x65, 0x62, 0x6f,
	0x6f, 0x72, 0x74, 0x65, 0x5f, 0x67, 0x65, 0x6d, 0x65, 0x65, 0x6e, 0x74, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x10, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x47, 0x65, 0x6d,
	0x65, 0x65, 0x6e, 0x74, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x67, 0x65, 0x62, 0x6f, 0x6f, 0x72, 0x74,
	0x65, 0x5f, 0x6c, 0x61, 0x6e, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x67, 0x65,
	0x62, 0x6f, 0x6f, 0x72, 0x74, 0x65, 0x4c, 0x61, 0x6e, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x62, 0x72,
	0x6f, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0c, 0x62, 0x72, 0x6f, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x22, 0x86,
	0x01, 0x0a, 0x13, 0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x4f, 0x76, 0x65, 0x72, 0x67,
	0x65, 0x6e, 0x6f, 0x6d, 0x65, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6f,
	0x6e, 0x5f, 0x70, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x70, 0x65, 0x72, 0x73,
	0x6f, 0x6f, 0x6e, 0x50, 0x72, 0x12, 0x2c, 0x0a, 0x08, 0x67, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68,
	0x74, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0e, 0x32, 0x10, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73,
	0x2e, 0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x52, 0x08, 0x67, 0x65, 0x73, 0x6c, 0x61,
	0x63, 0x68, 0x74, 0x12, 0x22, 0x0a, 0x0c, 0x62, 0x72, 0x6f, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d,
	0x65, 0x6e, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x62, 0x72, 0x6f, 0x6e, 0x64,
	0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2a, 0x51, 0x0a, 0x08, 0x47, 0x65, 0x73, 0x6c, 0x61,
	0x63, 0x68, 0x74, 0x12, 0x15, 0x0a, 0x11, 0x47, 0x45, 0x53, 0x4c, 0x41, 0x43, 0x48, 0x54, 0x5f,
	0x4f, 0x4e, 0x42, 0x45, 0x4b, 0x45, 0x4e, 0x44, 0x10, 0x00, 0x12, 0x0e, 0x0a, 0x0a, 0x47, 0x45,
	0x53, 0x4c, 0x41, 0x43, 0x48, 0x54, 0x5f, 0x4d, 0x10, 0x01, 0x12, 0x0e, 0x0a, 0x0a, 0x47, 0x45,
	0x53, 0x4c, 0x41, 0x43, 0x48, 0x54, 0x5f, 0x56, 0x10, 0x02, 0x12, 0x0e, 0x0a, 0x0a, 0x47, 0x45,
	0x53, 0x4c, 0x41, 0x43, 0x48, 0x54, 0x5f, 0x58, 0x10, 0x03, 0x2a, 0x6d, 0x0a, 0x0d, 0x4e, 0x61,
	0x74, 0x69, 0x6f, 0x6e, 0x61, 0x6c, 0x69, 0x74, 0x65, 0x69, 0x74, 0x12, 0x1a, 0x0a, 0x16, 0x4e,
	0x41, 0x54, 0x49, 0x4f, 0x4e, 0x41, 0x4c, 0x49, 0x54, 0x45, 0x49, 0x54, 0x5f, 0x4f, 0x4e, 0x42,
	0x45, 0x4b, 0x45, 0x4e, 0x44, 0x10, 0x00, 0x12, 0x14, 0x0a, 0x10, 0x4e, 0x41, 0x54, 0x49, 0x4f,
	0x4e, 0x41, 0x4c, 0x49, 0x54, 0x45, 0x49, 0x54, 0x5f, 0x4e, 0x4c, 0x10, 0x01, 0x12, 0x14, 0x0a,
	0x10, 0x4e, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x41, 0x4c, 0x49, 0x54, 0x45, 0x49, 0x54, 0x5f, 0x44,
	0x45, 0x10, 0x02, 0x12, 0x14, 0x0a, 0x10, 0x4e, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x41, 0x4c, 0x49,
	0x54, 0x45, 0x49, 0x54, 0x5f, 0x55, 0x4b, 0x10, 0x03, 0x42, 0x31, 0x5a, 0x2f, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x67, 0x72,
	0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78, 0x62, 0x72, 0x70, 0x2f, 0x64, 0x65, 0x73, 0x71, 0x2f, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_events_events_proto_rawDescOnce sync.Once
	file_events_events_proto_rawDescData = file_events_events_proto_rawDesc
)

func file_events_events_proto_rawDescGZIP() []byte {
	file_events_events_proto_rawDescOnce.Do(func() {
		file_events_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_events_events_proto_rawDescData)
	})
	return file_events_events_proto_rawDescData
}

var file_events_events_proto_enumTypes = make([]protoimpl.EnumInfo, 2)
var file_events_events_proto_msgTypes = make([]protoimpl.MessageInfo, 13)
var file_events_events_proto_goTypes = []interface{}{
	(Geslacht)(0),                                  // 0: events.Geslacht
	(Nationaliteit)(0),                             // 1: events.Nationaliteit
	(*NewPersonEvent)(nil),                         // 2: events.NewPersonEvent
	(*PersonNoteEvent)(nil),                        // 3: events.PersonNoteEvent
	(*ErkenningOngeborenKindVastgesteldEvent)(nil), // 4: events.ErkenningOngeborenKindVastgesteldEvent
	(*GeboorteVastgesteldEvent)(nil),               // 5: events.GeboorteVastgesteldEvent
	(*GeslachtVastgesteldEvent)(nil),               // 6: events.GeslachtVastgesteldEvent
	(*JuridischOuderVastgesteldEvent)(nil),         // 7: events.JuridischOuderVastgesteldEvent
	(*NationaliteitVastgesteld)(nil),               // 8: events.NationaliteitVastgesteld
	(*NamenVastgesteld)(nil),                       // 9: events.NamenVastgesteld
	(*InwonerIngeschreven)(nil),                    // 10: events.InwonerIngeschreven
	(*Adres)(nil),                                  // 11: events.Adres
	(*BSNToegekend)(nil),                           // 12: events.BSNToegekend
	(*GeboorteOvergenomen)(nil),                    // 13: events.GeboorteOvergenomen
	(*GeslachtOvergenomen)(nil),                    // 14: events.GeslachtOvergenomen
	(*timestamppb.Timestamp)(nil),                  // 15: google.protobuf.Timestamp
}
var file_events_events_proto_depIdxs = []int32{
	15, // 0: events.ErkenningOngeborenKindVastgesteldEvent.datum_erkenning:type_name -> google.protobuf.Timestamp
	15, // 1: events.GeboorteVastgesteldEvent.geboorte_datum:type_name -> google.protobuf.Timestamp
	0,  // 2: events.GeslachtVastgesteldEvent.geslacht:type_name -> events.Geslacht
	15, // 3: events.JuridischOuderVastgesteldEvent.startdatum_relatie:type_name -> google.protobuf.Timestamp
	1,  // 4: events.NationaliteitVastgesteld.nationaliteit:type_name -> events.Nationaliteit
	15, // 5: events.NationaliteitVastgesteld.ingangsdatum_nationaliteit:type_name -> google.protobuf.Timestamp
	15, // 6: events.NamenVastgesteld.ingangsdatum_namen:type_name -> google.protobuf.Timestamp
	11, // 7: events.InwonerIngeschreven.woonadres:type_name -> events.Adres
	15, // 8: events.InwonerIngeschreven.datum_ingeschreven:type_name -> google.protobuf.Timestamp
	15, // 9: events.BSNToegekend.ingangsdatum_bsn:type_name -> google.protobuf.Timestamp
	15, // 10: events.GeboorteOvergenomen.geboorte_datum:type_name -> google.protobuf.Timestamp
	0,  // 11: events.GeslachtOvergenomen.geslacht:type_name -> events.Geslacht
	12, // [12:12] is the sub-list for method output_type
	12, // [12:12] is the sub-list for method input_type
	12, // [12:12] is the sub-list for extension type_name
	12, // [12:12] is the sub-list for extension extendee
	0,  // [0:12] is the sub-list for field type_name
}

func init() { file_events_events_proto_init() }
func file_events_events_proto_init() {
	if File_events_events_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_events_events_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewPersonEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersonNoteEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ErkenningOngeborenKindVastgesteldEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GeboorteVastgesteldEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GeslachtVastgesteldEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*JuridischOuderVastgesteldEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NationaliteitVastgesteld); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NamenVastgesteld); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InwonerIngeschreven); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Adres); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BSNToegekend); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GeboorteOvergenomen); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_events_events_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GeslachtOvergenomen); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_events_events_proto_rawDesc,
			NumEnums:      2,
			NumMessages:   13,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_events_events_proto_goTypes,
		DependencyIndexes: file_events_events_proto_depIdxs,
		EnumInfos:         file_events_events_proto_enumTypes,
		MessageInfos:      file_events_events_proto_msgTypes,
	}.Build()
	File_events_events_proto = out.File
	file_events_events_proto_rawDesc = nil
	file_events_events_proto_goTypes = nil
	file_events_events_proto_depIdxs = nil
}
